Bug 591124 - Rebuild valgrind against glibc 2.12
Rebuild valgrind against glibc 2.12
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: valgrind (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Jakub Jelinek
Michal Nowak
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-11 09:40 EDT by Jakub Jelinek
Modified: 2013-03-07 21:09 EST (History)
3 users (show)

See Also:
Fixed In Version: valgrind-3.5.0-18.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-02 15:56:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Jelinek 2010-05-11 09:40:42 EDT
As glibc in RHEL6 has been upgraded to glibc 2.12 and valgrind uses suppression lists matching the filenames of glibc libraries which no longer are /lib*/libc-2.11*.so etc. but /lib*/libc-2.12*.so, valgrind needs to be rebuilt against glibc 2.12, otherwise running valgrind even on trivial programs like /bin/true
results in many reported failures within the dynamic linker.
Comment 4 Jakub Jelinek 2010-05-19 03:42:08 EDT
valgrind-3.5.0-18.el6 has been rebuilt.
Comment 7 releng-rhel@redhat.com 2010-07-02 15:56:23 EDT
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.